import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
const width = parseFloat(svg.attr('width'));
const height = +svg.attr('height');

const projection = geoNaturalEarth1()
			.clipExtent([[0,0],[width,height]]);

const pathGenerator = geoPath()
		.projection(projection);

svg.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type:'Sphere'}))

json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
	.then(data => {
	const countries = feature(data, data.objects.countries);			
  console.log(data);
  const paths = svg.selectAll('path')
  	.data(countries.features)
  paths.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', d => pathGenerator(d));
})
